Subject: Re: [RFC] ipv6: use a random ifid for headerless devices

From: YOSHIFUJI Hideaki <[email-masked]>
Date: Tue, 1 Dec 2015 16:39:11 +0900

Hi,

Bjørn Mork wrote:
> 吉藤英明 <[email-masked]> writes:
> 
>>>> +static int addrconf_ifid_random(u8 *eui, struct net_device *dev)
>>> +{
>>> +       get_random_bytes(eui, 8);
>>> +       eui[0] |= 0x02;
>>> +       return 0;
>>> +}
>>> +
>>
>> Since random identifier is locally assigned, drop the global bit
>> instead if setting it.
> 
> Yes, definitely. Thanks.  I'm considering reusing __ipv6_regen_rndid()
> which already does this correctly, and also avoids some locally assigned
> addresses with special meanings.
> 
> Another issue with the initial RFC is that every prefix will have a new
> random ifid, which isn't necessarily what the users expect.  I wonder if
> it would be acceptable to abuse the rndid field for storing a "permanent"
> random ifid?

Well, I think we should introduce ifid in inet6_dev.
After that we could use it from other ifid methods.

--yoshfuji

> Bjørn

-- 
Hideaki Yoshifuji <[email-masked]>
Technical Division, MIRACLE LINUX CORPORATION